package it.uniroma2.art.owlart.sesame2impl.models;

import it.uniroma2.art.owlart.exceptions.ModelCreationException;
import it.uniroma2.art.owlart.models.OWLArtModelFactory;
import it.uniroma2.art.owlart.models.OWLModel;
import it.uniroma2.art.owlart.models.UnloadableModelConfigurationException;
import it.uniroma2.art.owlart.models.UnsupportedModelConfigurationException;
import it.uniroma2.art.owlart.sesame2impl.factory.ARTModelFactorySesame2Impl;
import it.uniroma2.art.owlart.sesame2impl.models.conf.Sesame2ModelConfiguration;
import it.uniroma2.art.owlart.sesame2impl.models.conf.Sesame2NonPersistentInMemoryModelConfiguration;

public class Prova {

	public static void main(String[] args) throws UnsupportedModelConfigurationException, UnloadableModelConfigurationException, ModelCreationException {

		boolean useReasoner = true;

		ARTModelFactorySesame2Impl factImpl = new ARTModelFactorySesame2Impl();
		OWLArtModelFactory<Sesame2ModelConfiguration> fact = OWLArtModelFactory
				.createModelFactory(factImpl);
		Sesame2ModelConfiguration modelConf =

		factImpl.createModelConfigurationObject(Sesame2NonPersistentInMemoryModelConfiguration.class);
		if (!useReasoner) {
			modelConf.directTypeInference = false;
			modelConf.rdfsInference = false;
		}

		OWLModel owlModel = fact.loadOWLModel("http://pippo.txt", "./src/test/resources/testRepo", modelConf);

	}

}
